Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel.resource
Class DiscoveredISO

`java.lang.Object
oracle.ovs.api.datamodel.resource.DiscoveredISO`

All Implemented Interfaces:
  java.io.Serializable

      public class DiscoveredISO

extends java.lang.Object
implements java.io.Serializable

the iso resource discovered in the server

See Also:
  Serialized Form

Constructor Summary
`DiscoveredISO()`

Method Summary
`java.lang.String` | `getISOGroup()`
`java.lang.String` | `getISOLabel()`
`java.lang.Long` | `getServerPoolId()`
`void` | `setISOGroup(java.lang.String group)`
`void` | `setISOLabel(java.lang.String label)`
`void` | `setServerPoolId(java.lang.Long id)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DiscoveredISO

    public DiscoveredISO()

Method Detail

### setServerPoolId

    public void setServerPoolId(java.lang.Long id)

### getServerPoolId

    public java.lang.Long getServerPoolId()

### setISOGroup

    public void setISOGroup(java.lang.String group)

### getISOGroup

    public java.lang.String getISOGroup()

### setISOLabel

    public void setISOLabel(java.lang.String label)

### getISOLabel

    public java.lang.String getISOLabel()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.